Get a saved trigger’s manual webhook setup URL
curl --request POST \
--url https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Workflow
Get a saved trigger’s manual webhook setup URL
Returns or creates the stable URL for a saved manual webhook trigger. Requires workflow update and app connection read scopes. Does not activate the workflow or rotate existing URLs.
Requires one of the following scopes: automation_workflows:update, automation_workflows:all, all:update, all:all
POST
/
api
/
v2
/
automation
/
workflows
/
{id}
/
triggers
/
{trigger_node_id}
/
webhook-url
Get a saved trigger’s manual webhook setup URL
curl --request POST \
--url https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/automation/workflows/{id}/triggers/{trigger_node_id}/webhook-url"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Path Parameters
Response
Default Response
The response is of type object.